---
id: 52bt
name: 52BT
description: "52BT is a CHINESE Public tracker for MOVIES / TV / MUSIC / GENERAL"
language: zh-CN
type: public
encoding: UTF-8
requestDelay: 2
links:
  # Send any content to 52btbtbt@gmail.com to get the latest address. or visit https://52btbt.icu/
  - https://www.529072.xyz/
  - https://www.529073.xyz/
legacylinks:
  - https://www.529056.xyz/
  - https://www.529058.xyz/
  - https://www.52bt059.buzz/
  - https://www.529060.xyz/
  - https://www.529061.xyz/
  - https://www.529059.xyz/
  - https://www.529062.xyz/
  - https://www.529063.xyz/
  - https://www.529064.xyz/
  - https://www.529066.xyz/
  - https://www.529065.xyz/
  - https://www.529068.xyz/
  - https://www.529069.xyz/
  - https://www.529067.xyz/
  - https://www.529070.xyz/
  - https://www.529071.xyz/

caps:
  categorymappings:
    - {id: 影视, cat: TV, desc: 影视}
    - {id: 影视, cat: Movies, desc: 影视}
    - {id: 音乐, cat: Audio, desc: 音乐}
    - {id: 图像, cat: Other, desc: 图像}
    - {id: 文档书籍, cat: Books, desc: 文档书籍}
    - {id: 压缩文件, cat: Other, desc: 压缩文件}
    - {id: 安装包, cat: PC, desc: 安装包}
    - {id: 其他, cat: Other, desc: 其他}

  modes:
    search: [q]
    tv-search: [q, season, ep]
    movie-search: [q]
    music-search: [q]
    book-search: [q]

settings:
  - name: cat-id
    type: select
    label: Category
    default: 0
    options:
      0: All categories
      1: Film and Television
      2: Music
      3: Images
      4: Books
      5: Zip Files
      6: Software
      7: Other
  - name: sort
    type: select
    label: Sort requested from site
    default: 2
    options:
      2: created
      1: size
      0: relevance
  - name: info_flaresolverr
    type: info_flaresolverr

search:
  paths:
    - path: "search-{{ if .Keywords }}{{ .Keywords }}{{ else }}{{ .Today.Year }}{{ end }}-{{ .Config.cat-id }}-{{ .Config.sort }}-1.html"
    - path: "search-{{ if .Keywords }}{{ .Keywords }}{{ else }}{{ .Today.Year }}{{ end }}-{{ .Config.cat-id }}-{{ .Config.sort }}-2.html"
  error:
    - selector: :root:contains("Internal Server Error")

  rows:
    selector: div.ssbox

  fields:
    categorydesc:
      selector: div.title > h3 > span
      filters:
        - name: re_replace
          args: ["([\\[\\]]+)", ""]
    title:
      selector: a[href^="/hash/"]
    details:
      selector: a[href^="/hash/"]
      attribute: href
    infohash:
      selector: a[href^="magnet:?xt="]
      attribute: href
      filters:
        - name: regexp
          args: ([A-F|a-f|0-9]{40})
    date:
      selector: div.sbar > span:contains("添加时间:") > b
      filters:
        - name: append
          args: " +08:00" # CST
        - name: dateparse
          args: "yyyy-MM-dd zzz"
    size:
      selector: div.sbar > span:contains("大小:") > b
    seeders:
      text: 1
    leechers:
      text: 1
    downloadvolumefactor:
      text: 0
    uploadvolumefactor:
      text: 1
# engine n/a
